package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.SiteConfigMapper;
import com.ruoyi.system.domain.SiteConfig;
import com.ruoyi.system.service.ISiteConfigService;

/**
 * 系统配置Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
@Service
public class SiteConfigServiceImpl implements ISiteConfigService 
{
    @Autowired
    private SiteConfigMapper siteConfigMapper;

    /**
     * 查询系统配置
     * 
     * @param id 系统配置主键
     * @return 系统配置
     */
    @Override
    public SiteConfig selectSiteConfigById(Integer id)
    {
        return siteConfigMapper.selectSiteConfigById(id);
    }

    /**
     * 查询系统配置列表
     * 
     * @param siteConfig 系统配置
     * @return 系统配置
     */
    @Override
    public List<SiteConfig> selectSiteConfigList(SiteConfig siteConfig)
    {
        return siteConfigMapper.selectSiteConfigList(siteConfig);
    }

    /**
     * 新增系统配置
     * 
     * @param siteConfig 系统配置
     * @return 结果
     */
    @Override
    public int insertSiteConfig(SiteConfig siteConfig)
    {
        return siteConfigMapper.insertSiteConfig(siteConfig);
    }

    /**
     * 修改系统配置
     * 
     * @param siteConfig 系统配置
     * @return 结果
     */
    @Override
    public int updateSiteConfig(SiteConfig siteConfig)
    {
        return siteConfigMapper.updateSiteConfig(siteConfig);
    }

    /**
     * 批量删除系统配置
     * 
     * @param ids 需要删除的系统配置主键
     * @return 结果
     */
    @Override
    public int deleteSiteConfigByIds(Integer[] ids)
    {
        return siteConfigMapper.deleteSiteConfigByIds(ids);
    }

    /**
     * 删除系统配置信息
     * 
     * @param id 系统配置主键
     * @return 结果
     */
    @Override
    public int deleteSiteConfigById(Integer id)
    {
        return siteConfigMapper.deleteSiteConfigById(id);
    }
}
